<?php

class m120308_164418_tbl_candidatos extends CDbMigration
{
	public function up()
	{
            // Carnet de conducir
            $this->addColumn('tbl_candidatos', 'carnet_conducir', 'string');
            $this->addColumn('tbl_candidatos', 'vehiculo_propio', 'boolean');
            
            // Observaciones
            $this->addColumn('tbl_candidatos', 'observaciones', 'text');
            
            // Rango de salarios
            $this->addColumn('tbl_candidatos', 'salario_minimo', 'integer');
            $this->addColumn('tbl_candidatos', 'salario_maximo', 'integer');
            
            // Procedencia del candidato
            $this->addColumn('tbl_candidatos', 'procedencia', 'string');
            
            // Disponibilidades
            $this->addColumn('tbl_candidatos', 'disponibilidad_incorporacion', 'string');
            $this->addColumn('tbl_candidatos', 'disponibilidad_entrevistas', 'string');
            $this->addColumn('tbl_candidatos', 'disponibilidad_guardias', 'string');
            $this->addColumn('tbl_candidatos', 'disponibilidad_viajar', 'string');
            $this->addColumn('tbl_candidatos', 'disponibilidad_proyectos_internacionales', 'string');
	}

	public function down()
	{
            $this->dropColumn('tbl_candidatos', 'disponibilidad_proyectos_internacionales');
            $this->dropColumn('tbl_candidatos', 'disponibilidad_viajar');
            $this->dropColumn('tbl_candidatos', 'disponibilidad_guardias');
            $this->dropColumn('tbl_candidatos', 'disponibilidad_entrevistas');
            $this->dropColumn('tbl_candidatos', 'disponibilidad_incorporacion');

            $this->dropColumn('tbl_candidatos', 'procedencia');
            
            $this->dropColumn('tbl_candidatos', 'salario_maximo');
            $this->dropColumn('tbl_candidatos', 'salario_minimo');
            
            $this->dropColumn('tbl_candidatos', 'observaciones');
            
            $this->dropColumn('tbl_candidatos', 'vehiculo_propio');
            $this->dropColumn('tbl_candidatos', 'carnet_conducir');
	}
        
}